PHP ��U
前一頁 |  | 下一頁

# runkit_class_emancipate

(PECL)

runkit_class_emancipate -- Convert an inherited class to a base class, removes any method whose scope is ancestral

## Description

bool runkit_class_emancipate ( string classname )

## Parameters

classname

  Name of class to emancipate

## Return Values

�\�^��`TRUE`�Ѧ^��`FALSE`�C

## �d��

範例 1. A runkit_class_emancipate() example

`<?php class myParent { function parentFunc () { echo "Parent Function Output\n"; } } class myChild extends myParent { } myChild::parentFunc(); runkit_class_emancipate('myChild'); myChild::parentFunc(); ?>`

The above example will output:

    Parent Function Output
    Fatal error: Call to undefined function:  parentFunc() in example.php on line 12

## �Ѧ�

runkit_class_adopt()

前一頁 | 內容 | 下一頁
runkit_class_adopt | 上一層 | runkit_constant_add